/* GLOBAL PAGE SETTINGS */
* {margin: 0; padding: 0; box-sizing: border-box;}
:root {
    --button-1: 10em; --button-2: 15em;--button-3: 20em;--button-4: 25em;
    --fs-1: 1rem; --fs-2: 2rem; --fs-3: 3rem; --fs-4: 4rem;
    --height-1: 2dvh; --height-2: 4dvh; -height-3: 6dvh; --height-4: 8dvh;
    --margin-1: 1dvw; --margin-2: 2dvw; --margin-3: 6dvw; --margin-4: 8dvw;
    --padding-1: 2dvw; --padding-2: 4dvw; --padding-3: 6dvw; --padding-4: 8dvw;
    --width-1: 2dvw; --width-2: 4dvw; --width-3: 6dvw; --width-4: 8dvw;--width-5: 10dvw;--width-6: 12dvw;
    --s: .5dvw; --c:darkgrey 70% 35%; --d: blue;
    --main-color: red; --secondary-color: lightgreen;  --txt-color: aliceblue;
    --img-bg-color: rgba(240, 240, 240, 0.9);
}
html{scroll-behavior: smooth;}
body {font-family: system-ui, apple-system, sans-serif; color:#333; margin: 0; padding: 0; box-sizing: border-box; overscroll-behavior-y: contain; height: 100%;}

/* container general settings */
#container{position: relative; box-sizing: border-box; display: grid; grid-template-columns: repeat(auto-fit, minmax(180px, 1fr)); grid-auto-rows: minmax(3dvh, auto); grid-auto-flow: column; max-width: 200rem; width: 100%; height: auto; margin-inline: auto ; overflow: auto; will-change: scroll-position; outline: 1dvw solid lightgreen; }
/* #container{container-type: inline-size; container-name: parent;} */

/* grid settings*/
#heading{grid-column: 1/5; grid-row:1/2;}
#info{grid-column: 1/5; grid-row:2/3;}
section{grid-column:1/5; grid-row:3/4;}
.lw-container{grid-column:1/5; grid-row: 4/5;}
footer{grid-column: 1/5;grid-row: 5/6;}

/*** HEADING settings ***/
#heading{display: grid; grid-template-columns: 1fr 5fr; max-width: 200rem; width: 100%; height: 15dvh;}
#heading{--s: 1dvw; --c: lightgrey; --_s: calc(2*var(--s)) calc(2*var(--s)); --_g: 35.36% 35.36% at; --_c: #0000 66%,black 40% 70%, #0000 72%; background: radial-gradient(var(--_g) 100% 25%,var(--_c)) var(--s) var(--s)/var(--_s), radial-gradient(var(--_g) 0 75%,var(--_c)) var(--s) var(--s)/var(--_s),  radial-gradient(var(--_g) 100% 25%,var(--_c)) 0 0/var(--_s), radial-gradient(var(--_g) 0 75%,var(--_c)) 0 0/var(--_s), repeating-conic-gradient(var(--c) 0 25%,#0000 0 50%) 0 0/var(--_s), radial-gradient(var(--_c)) 0 calc(var(--s)/2)/var(--s) var(--s) var(--c); }

/* navigation section formatting*/
#menu button{position: fixed; max-width: 7%; width: 100%; height: 5%; background:skyblue; opacity:1; color:white; box-shadow:inset 0 0 0 1px black; border:0.2dvw solid white; display: flex; justify-content: center; align-items: center; border-radius: 1dvw; margin-block: 5dvh; z-index: 10;}
#menu button a{font-size: clamp(1rem, calc(var(--fs-1)*2), 3rem);}
#menu button:hover{background:grey; color:aliceblue; box-shadow:inset 0 0 0 1px white; border:0.2dvw solid black; cursor: pointer;}

/* formatting header */
header{padding-left: 1dvw; max-width: 200rem;  width: 100%;}
header h1{position: absolute; display: flex; flex-flow: row nowrap; justify-content: flex-start; align-items: flex-start; margin-inline: 10%;  margin-block: 2%; color: blue; font-size: var(--fs-4); text-align: center;  animation: infinite linear 90s styling; z-index: 99; }
@keyframes styling{
    0%{ translate: 0dvw 0dvw  1dvw; color: black; }
    25%{ translate: -4dvw -1dvw 2dvw; color:blue; }
    50%{ translate: 0dvw 0dvw 3dvw; color: red;}
    75%{ translate: 4dvw 1dvw 2dvw; color: navy; }
    100%{ translate: 0dvw 0dvw 1dvw; color: black;}
}

/* formatting INFO section */
#info{display: grid; grid-template-columns: 60% 30%; position: relative;margin-block: .1dvw; max-width: 200rem; width: 100%; }
#enlarge{display: block; position: relative; color: black; font-size: calc(var(--fs-1)*1.4); margin-left: 2dvw;}

/* formatting the FILTER section */
section{display: flex; justify-content: center; align-items: center; padding: 1dvw; max-width: 200rem; width: 100% }
.filter{display: none;}
/* The "show" class is added to the filtered elements */
.show {display: block; }
button:not(#menu button){font-size: clamp(1rem, calc(var(--fs-1)*1.25), 2rem); padding: 0.3% ; color: black;  background: repeating-linear-gradient(45deg,lightgrey, skyblue, lightgreen); border: 0.1dvw solid black; cursor: pointer;border-radius:25%; margin-inline: 0.2dvw; width: 7dvw; }
button:not(#menu button):hover { background:repeating-linear-gradient(25deg,lightgrey, black, indigo); color:red;}
button:not(#menu button).active{background: orange; color: blue;}
button.active{background:orange; color: blue;}

/* formatting the LW-CONTAINER main section*/
.lw-container {position:relative; max-width: 200rem; width: 99%; margin-left: -1%; margin: 0 auto;}
.lw-box {position: relative; display: inline-grid; grid-template-columns: repeat(auto-fill, minmax(13%, 1fr)); max-width: 200rem; width: 100%; column-gap: 0.3dvw;  counter-reset: image-number; }
.lw-box .gallery-item {position: relative; max-width: 100%; width:100%; counter-increment: image-number; }
.lw-box .gallery-item::before{ content: counter(image-number); position: relative; top: 85%; left: -0.1dvw; width: max-content;  background: aqua;  padding: 0.1dvw 0.2dvw; font-weight: normal; border-radius: 0.5dvw; z-index: 1;}
.lw-box .gallery-item img {object-fit: cover; object-position: top; cursor: pointer; max-width: 100%; width: 100%; aspect-ratio: 1 / 1; border-radius: 1dvw; z-index: 10;}
.lw-box .gallery-item img:hover {opacity: 0.98; scale: 1.1;  transition: 3s ease;}
.gallery-item p{display: flex; justify-content: center; align-items: center; font-size:clamp(1rem, calc(var(--fs-1)*1.25), 2rem); height: 1dvw; max-width: 12dvw;width: 100%; background-color: skyblue; color:black; border-radius: 1dvw; z-index: 10;}

/* settings for the pop-up */
#lw-screen { position: fixed; inset: 0; display: flex; align-items: center; justify-content: center; width: 100%; height: 100%;  top: 1dvw; left: 1dvw; overflow: hidden; background: var(--backdrop-color); z-index: 9999; }
.lw-overlay{position: fixed; inset: 0;}
#lw-screen .lw-image {height: 100%; display: inline-flex; justify-content: center; align-items: center; scale: 1.1;}
#lw-screen .lw-image img {max-width: 100%; aspect-ratio: 1 / 1; margin-block: 0dvw; margin-inline: 0dvw; transition: 5s ease;border-radius: 1dvw; position: relative;}
#lw-screen.dragging{cursor: grabbing;}
.lw-btn {width: 3dvw; height: 6dvh; background: var(--main-color); color: var(--txt-color); text-align: center; line-height: 1;  cursor: pointer; -moz-transition: all 0.4s ease; -o-transition: all 0.4s ease;  -webkit-transition: all 0.4s ease;  transition: all 0.4s ease; font-size: clamp(1rem, calc(var(--fs-2)*2), 4rem); box-sizing: border-box;  position: absolute; bottom: 2dvw;}
.lw-btn:hover { background: var(--secondary-color); }
.lw-close {position: absolute; bottom: 25%; right: 40%;}

/* format the WATERMARKING */
.gallery-item { position: relative;  display: float;}
.gallery-item::after{ content: '© L. Witters';  position: absolute;  top: 11%; left: 16%; transform: translate(-50%, -50%); font-size: var(--fs-1); color: aqua; opacity: 0.8; pointer-events: none; /* Ensures the watermark doesn't interfere with clicks */}
.lw-image::after{ content: '© L. Witters';  position: absolute;  top: 50%; left: 50%; transform: translate(-50%, -50%); font-size: var(--fs-1); color: white; opacity: 0.8; pointer-events: none; /* Ensures the watermark doesn't interfere with clicks */}


/** SETTINGS FOR OTHER DEVICES AND OTHER SIZES**/

/*max-width: 107rem = 1,712px */
@media only screen and (96rem <= width <= 107rem){
    #menu button{ max-width: 12%; width: 100%; height: 5%; }
    #heading{height: 15dvh; max-width: 100%; font-size: clamp(1rem, calc(var(--fs-2)*2), 4rem);}
    #heading header h1{font-size: clamp(1rem, calc(var(--fs-2)*1.25), 4rem); margin-top: 2%; }
    #enlarge{font-size: clamp(1rem, calc(var(--fs-1)*1.5), 2rem);}
    .lw-box{position: relative; grid-template-columns: repeat(5, 1fr); gap: 0.2dvw; max-width: 100dvw;}
    .lw-box .gallery-item{position: relative; max-width: 95%;}
    .lw-box .gallery-item img{aspect-ratio: 1 / 1;}
    .gallery-item p{max-width: 95%; font-size:clamp(1rem, calc(var(--fs-1)*1), 2rem)}
    .lw-close {position: absolute; bottom: 15%; right: 25%;}
}

/*max-width: 96rem = 1,528px */
@media only screen and (85rem <= width <= 96rem){
    #heading{height: 15dvh;}
    #menu button{max-width: 10%; height: 5%; font-size: clamp(1rem, calc(var(--fs-2)*3), 4rem);}
    #heading header h1{font-size: clamp(1rem, calc(var(--fs-2)*1.5), 4rem); margin-top: 2%; }
    #enlarge{font-size: clamp(1rem, calc(var(--fs-1)*1.25), 2rem);}
    .lw-box{position: relative; grid-template-columns: repeat(4, 1fr); gap: 0.2dvw; max-width: 100dvw;}
    .lw-box .gallery-item{position: relative; max-width: 95%;}
    .lw-box .gallery-item img{aspect-ratio: 1 / 1;}
    .gallery-item p{max-width: 95%; font-size:clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem)}
    #lw-screen .lw-image img {width: 80%; aspect-ratio: 1 / 1;}
    .lw-btn {width: 2.5dvw; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*2), 3rem); }
    .lw-close {position: absolute; bottom: 15%; right: 25%;}

}

/* max-width: 85rem = 1,360px */
@media screen and (75rem <= width <= 85rem) {
    #heading{height: 15dvh;}
    #menu button{max-width: 10%; height: 5%; font-size: clamp(1rem, calc(var(--fs-2)*3), 4rem);}
    #heading header h1{font-size: clamp(1rem, calc(var(--fs-2)*1.5), 4rem); margin-top: 2%; }
    #enlarge{font-size: clamp(1rem, calc(var(--fs-1)*1.25), 2rem);}
    .lw-box{position: relative; grid-template-columns: repeat(4, 1fr); gap: 0.2dvw; max-width: 100dvw;}
    .lw-box .gallery-item{position: relative; max-width: 95%;}
    .lw-box .gallery-item img{aspect-ratio: 1 / 1;}
    .gallery-item p{max-width: 95%; font-size:clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem)}
    #lw-screen .lw-image img {width: 80%; aspect-ratio: 1 / 1;}
    .lw-btn {width: 2.5dvw; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*2), 3rem); }
    .lw-close {position: absolute; bottom: 15%; right: 25%;}
}


/* max-width: 75rem = 1,200px */
@media screen and (65rem <= width <= 75rem) {
    #heading{height: 15dvh;}
    #menu button{max-width: 15%; height: 5%; font-size: clamp(1rem, calc(var(--fs-2)*3), 4rem);}
    #heading header h1{font-size: clamp(1rem, calc(var(--fs-2)*1.5), 4rem); margin-top: 2%; }
    #enlarge{font-size: clamp(1rem, calc(var(--fs-1)*1.2), 2rem);}
    button:not(#menu button){font-size: clamp(1rem, calc(var(--fs-1)*0.6), 1.5rem);}
    .lw-box{position: relative; grid-template-columns: repeat(4, 1fr); gap: 0.2dvw; max-width: 100dvw;}
    .lw-box .gallery-item{position: relative; max-width: 95%;}
    .lw-box .gallery-item img{aspect-ratio: 1 / 1;}
    .gallery-item p{max-width: 95%; font-size:clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem)}
    #lw-screen .lw-image img {width: 80%; aspect-ratio: 1 / 1;}
    .lw-btn {width: 2.5dvw; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*2), 3rem); }
    .lw-close {position: absolute; bottom: 15%; right: 25%;}
}

 /* max-width : 65rem  = 1,040px */
 @media screen and (55rem <= width <= 65rem) {
    #heading{height: 15dvh;}
    #menu button{max-width: 15%; height: 5%; font-size: clamp(1rem, calc(var(--fs-2)*3), 4rem);}
    #heading header h1{font-size: clamp(1rem, calc(var(--fs-2)*1.5), 4rem); margin-top: 2%; }
    #enlarge{font-size: clamp(1rem, calc(var(--fs-1)*1), 1.5rem);}
    button:not(#menu button){font-size: clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem);}
    .lw-box{position: relative; grid-template-columns: repeat(4, 1fr); gap: 0.2dvw; max-width: 100dvw;}
    .lw-box .gallery-item{position: relative; max-width: 95%;}
    .lw-box .gallery-item img{aspect-ratio: 1 / 1;}
    .gallery-item p{max-width: 95%; font-size:clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem)}
    #lw-screen .lw-image img {width: 80%; aspect-ratio: 1 / 1;}
    .lw-btn {width: 2.5dvw; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*2), 3rem); }
    .lw-close {position: absolute; bottom: 15%; right: 25%;}
 }

/* max-width: 55rem =  880px */
 @media screen and (45rem <= width <= 55rem){
    #heading{height: 15dvh;}
    #menu button{max-width: 20%; height: 7%; font-size: clamp(1rem, calc(var(--fs-1)*1.25), 1。5rem);}
    #heading header h1{font-size: clamp(1rem, calc(var(--fs-1)*2), 3rem); margin-top: 2%; }
    #enlarge{font-size: clamp(1rem, calc(var(--fs-1)*0.8), 1.5rem);}
    button:not(#menu button){font-size: clamp(0.3rem, calc(var(--fs-1)*0.4), 1rem); }
    .lw-box{position: relative; grid-template-columns: repeat(3, 1fr); gap: 0.2dvw; max-width: 100dvw;}
    .lw-box .gallery-item{position: relative; max-width: 95%;}
    .lw-box .gallery-item img{aspect-ratio: 1 / 1;}
    .gallery-item p{max-width: 95%; font-size:clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem)}
    #lw-screen .lw-image img {width: 80%; aspect-ratio: 1 / 1;}
    .lw-btn {width: 2.5dvw; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*2), 3rem); }
    .lw-close {position: absolute; bottom: 15%; right: 25%;}
 }

/* max-width: 45rem =  720px */
 @media screen and (35rem <= width <= 45rem){
     #heading{height: 15dvh;}
    #menu button{max-width: 10%; height: 5%; font-size: clamp(1rem, calc(var(--fs-2)*3), 4rem);}
    #heading header h1{font-size: clamp(1rem, calc(var(--fs-2)*1.5), 4rem); margin-top: 2%; }
    #enlarge{font-size: clamp(1rem, calc(var(--fs-1)*1.25), 2rem);}
    button:not(#menu button){font-size: clamp(0.3rem, calc(var(--fs-1)*0.4), 1rem); }
    .lw-box{position: relative; grid-template-columns: repeat(4, 1fr); gap: 0.2dvw; max-width: 100dvw;}
    .lw-box .gallery-item{position: relative; max-width: 95%;}
    .lw-box .gallery-item img{aspect-ratio: 1 / 1;}
    .gallery-item p{max-width: 95%; font-size:clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem)}
    #lw-screen .lw-image img {width: 80%; aspect-ratio: 1 / 1;}
    .lw-btn {width: 2.5dvw; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*2), 3rem); }
    .lw-close {position: absolute; bottom: 15%; right: 25%;}
 }

/* max-width: 35rem =  560px */
 @media screen and (25rem <= width <= 35rem){
    #heading{height: 15dvh;}
    #menu button{max-width: 30%; height: 10%; font-size: clamp(0.5rem, calc(var(--fs-1)*0.7), 2rem);}
    #heading header h1{font-size: clamp(1rem, calc(var(--fs-1)*1.5), 2rem); margin-top: 2%; }
    #enlarge{font-size: clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem);}
    button:not(#menu button){font-size: clamp(0.3rem, calc(var(--fs-1)*0.4), 1rem); }
    .lw-box{position: relative; grid-template-columns: repeat(2, 1fr); gap: 0.2dvw; max-width: 100dvw;}
    .lw-box .gallery-item{position: relative; max-width: 95%;}
    .lw-box .gallery-item img{aspect-ratio: 1 / 1;}
    .gallery-item p{max-width: 95%; font-size:clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem)}
    .lw-box .gallery-item::before{font-size: clamp(0.3rem, calc(var(--fs-1)*0.7), 1rem);}
    #lw-screen .lw-image img {width: 80%; aspect-ratio: 1 / 1;}
    .lw-btn {width: 2.5dvw; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*2), 3rem); }
    .lw-close {position: absolute; bottom: 15%; right: 25%;}
 }

/* max-width: 25rem =  400px */
 @media screen and (20rem <= width <= 25rem){
     #heading{height: 15dvh;}
    #menu button{max-width: 20%; height: 5%; font-size: clamp(0.5rem, calc(var(--fs-1)*0.7), 1rem);}
    #heading header h1{font-size: clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem); margin-top: 2%; }
    #enlarge{font-size: clamp(0.5rem, calc(var(--fs-1)*0.8), 1rem);}
    button:not(#menu button){font-size: clamp(0.3rem, calc(var(--fs-1)*0.4), 1rem); }
    .lw-box{position: relative; grid-template-columns: repeat(2, 1fr); gap: 0.2dvw; max-width: 100dvw;}
    .lw-box .gallery-item{position: relative; max-width: 95%;}
    .lw-box .gallery-item img{aspect-ratio: 1 / 1;}
    .gallery-item p{max-width: 95%; font-size:clamp(0.3rem, calc(var(--fs-1)*0.5), 1rem)}
    .lw-box .gallery-item::before{font-size: clamp(0.3rem, calc(var(--fs-1)*0.7), 1rem);}
    #lw-screen .lw-image img {width: 80%; aspect-ratio: 1 / 1;}
    .lw-btn {width: 2.5dvw; height: 4dvh; font-size: clamp(0.3rem, calc(var(--fs-1)*0.7), 1rem); }
    .lw-close {position: absolute; bottom: 15%; right: 25%;}
 }

